Subject: Bug#710523: i18nspector: Please i18n man page

From: Helge Kreutzmann <[email-masked]>
Date: Sun, 6 Nov 2022 09:25:05 +0100

Hello Jakub,
On Sat, Jun 15, 2013 at 02:13:24AM +0200, Jakub Wilk wrote:
> * Helge Kreutzmann <[email-masked]>, 2013-05-31, 17:56:
> > Please add a framework for providing localized man pages, possibly using
> > po4a or similar tools.
> 
> I don't plan to add such a framework upstream, at least for the time being.
> Of course, the Debian maintainer is free to implement it on his own if he
> wishes so. :)

Is this still the case (see also below)? I could help you implementing
po4a in your build system, if you want. (I'm Debian maintainer for
manpages-l10n nowadays).

> > However, po4a currently does not support your native format (i.e.
> > reStructuredText), so either you base the translation off the generated
> > man page
> 
> I played with po4a a bit, and I run into a few problems:
> 
> 1) po4a doesn't support ".de1" requests, which is what rst2man uses:
> http://bugs.debian.org/710678
> 
> 2) rst2man translates ' to \(aq, which is then left intact by po4a. I think
> that would be nuisance to translators. I wanted to use --smart-quotes to
> work around this problem, but that didn't work:
> http://bugs.debian.org/712284
> 
> 3) po4a puts wrong timezone to POT-Creation-Date:
> http://bugs.debian.org/710695

All of these are long resolved in po4a.

> Fortunately 1) and 2) are easy to work around. With i18nspector 0.10
> (hopefully to be released over this weekend), it'll be possible convert the
> manpage to a PO file using these options:
> 
> po4a-gettextize -M UTF-8 -f man -o groff_code=verbatim -o unknown_macros=untranslated
> 
> The resulting file will contain quite a few messages that are not supposed
> to be translated, like tag names. They can be easily filtered out by
> msggrep:
> 
> msggrep -v -X -E -e '^type: (SS|IP|TH)$'

If this does not work reliable, man page translator are (and should
be) aware of those strings. Actually, for me as a translator this also
gives me context.

Also I've help with gettextizing other projects as well, so I'm sure
this can be done.

Best regards

          Helge
-- 
      Dr. Helge Kreutzmann                     [email-masked]
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/